Bug 1419284 - libextractor uses wrong path for info file in postinstall and preuninstall scripts
Summary: libextractor uses wrong path for info file in postinstall and preuninstall sc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libextractor
Version: 25
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-04 20:10 UTC by Edgar Hoch
Modified: 2017-06-17 19:42 UTC (History)
1 user (show)

Fixed In Version: libextractor-1.4-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-17 19:42:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Edgar Hoch 2017-02-04 20:10:52 UTC
Description of problem:

Error message:
install-info: No such file or directory for /usr/share/info/extractor.info

postinstall and preuninstall scripts uses path /usr/share/info/extractor.info for info file. But this file doesn't exists, it isn't installed. It should be replaces by /usr/share/info/libextractor.info .

See:

# rpm -q --scripts libextractor
postinstall scriptlet (using /bin/sh):
/sbin/ldconfig
/sbin/install-info --info-dir /usr/share/info /usr/share/info/extractor.info || :
preuninstall scriptlet (using /bin/sh):
test $1 != 0 || /sbin/install-info --info-dir /usr/share/info --delete /usr/share/info/extractor.info || :
postuninstall program: /sbin/ldconfig


# rpm -ql libextractor|grep info
/usr/share/info/libextractor.info.gz


Version-Release number of selected component (if applicable):
libextractor-1.3-8.fc24.x86_64

How reproducible:
Always

Steps to Reproduce:
1. dnf install libextractor

Actual results:
Error message:
install-info: No such file or directory for /usr/share/info/extractor.info

Expected results:
No error message.

Comment 1 Fedora Update System 2017-06-12 17:44:07 UTC
libextractor-1.4-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-274e7b3b32

Comment 2 Fedora Update System 2017-06-14 01:36:44 UTC
libextractor-1.4-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-274e7b3b32

Comment 3 Fedora Update System 2017-06-17 19:42:48 UTC
libextractor-1.4-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.